import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { TapdReviewConfig } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:29
 */
interface TapdReviewConfigCU extends ConditionUtil<TapdReviewConfigCU>{
    ID:FieldUtil<TapdReviewConfigCU>;
    ENV:FieldUtil<TapdReviewConfigCU>;
    FILE_NAME:FieldUtil<TapdReviewConfigCU>;
    FILE_PATH:FieldUtil<TapdReviewConfigCU>;
    CONFIG:FieldUtil<TapdReviewConfigCU>;
    TAPD_ID:FieldUtil<TapdReviewConfigCU>;
    CREATE_TIME:FieldUtil<TapdReviewConfigCU>;
    UPDATE_TIME:FieldUtil<TapdReviewConfigCU>;
}

class TapdReviewConfigCUImpl extends ConditionUtilImpl<TapdReviewConfigCUImpl> implements TapdReviewConfigCU{ 
    newInstance(): TapdReviewConfigCUImpl {
        return new TapdReviewConfigCUImpl();
    } 
    get ID(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('id','id','', this);
    }
    get ENV(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('env','env','所属环境', this);
    }
    get FILE_NAME(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('file_name','fileName','文件名称', this);
    }
    get FILE_PATH(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('file_path','filePath','文件地址', this);
    }
    get CONFIG(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('config','config','配置内容', this);
    }
    get TAPD_ID(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('tapd_id','tapdId','', this);
    }
    get CREATE_TIME(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<TapdReviewConfigCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
}

@Singleton 
class TapdReviewConfigMU extends TableUtilImpl<TapdReviewConfigCU,TapdReviewConfig>{ 
    tableName  = 'tapd_review_config';
    tableFields  = ['id','env','file_name','file_path','config','tapd_id','create_time','update_time'];
    modelFields  = ['id','env','fileName','filePath','config','tapdId','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): TapdReviewConfigCU {
        return new TapdReviewConfigCUImpl();
    }   

    static get ID(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('id','id','', new TapdReviewConfigCUImpl());
    }
    static get ENV(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('env','env','所属环境', new TapdReviewConfigCUImpl());
    }
    static get FILE_NAME(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('file_name','fileName','文件名称', new TapdReviewConfigCUImpl());
    }
    static get FILE_PATH(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('file_path','filePath','文件地址', new TapdReviewConfigCUImpl());
    }
    static get CONFIG(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('config','config','配置内容', new TapdReviewConfigCUImpl());
    }
    static get TAPD_ID(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('tapd_id','tapdId','', new TapdReviewConfigCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new TapdReviewConfigCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<TapdReviewConfigCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new TapdReviewConfigCUImpl());
    }

    get ID(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.ID;
    }
    get ENV(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.ENV;
    }
    get FILE_NAME(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.FILE_NAME;
    }
    get FILE_PATH(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.FILE_PATH;
    }
    get CONFIG(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.CONFIG;
    }
    get TAPD_ID(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.TAPD_ID;
    }
    get CREATE_TIME(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<TapdReviewConfigCU>{ 
        return TapdReviewConfigMU.UPDATE_TIME;
    }
}
export {TapdReviewConfigMU, TapdReviewConfigCU}
